Bug 818370 - Changeset Fails to Promote with Candlepin RPM
Changeset Fails to Promote with Candlepin RPM
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Ivan Necas
Kedar Bidarkar
: Triaged, ZStream
Depends On:
Blocks: 826717
  Show dependency treegraph
 
Reported: 2012-05-02 17:32 EDT by james labocki
Modified: 2014-09-18 11:32 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
System Engine incorrectly parsed the candlepin-cert package when attempting to promote a changeset containing a candlepin provider. This caused a partial import of the package and with an error: "Failed to promote changeset". This fix corrects the logic that parses the package names for the certificate package. Changeset promotion now works without error.
Story Points: ---
Clone Of:
: 826717 (view as bug list)
Environment:
Last Closed: 2012-12-04 14:45:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Candlepin rpm repo's template (9.01 KB, text/xml)
2012-09-20 07:23 EDT, Kedar Bidarkar
no flags Details

  None (edit)
Description james labocki 2012-05-02 17:32:55 EDT
Description of problem:
Sequence of steps:
    Created a template which had our custom RHEL distro and custom candlepin prouct
    Created changeset containing RHEL product, candlepin repo, and system template. 

    Promoted changeset from Library to Dev environment

    Promotion failed with:

    Failed to promote changeset 'my first changeset" to Dev environment

    However, the dev environment contains the promoted content

    Next, try to download the template from the Dev environment and receive:

    error At least repository must be present to export a TDL

    Exactly one distribution must be present to export a TDL

    One thing I noticed, is that during each promotion, all repo's associated with the promotion had a sync kicked off for it.
Comment 1 Mike McCune 2012-05-02 19:20:28 EDT
Brad dug around a bit and it turns out it is a result of the way Katello parses the NVREA of the RPM put into the template name:

 candlepin-cert-consumer-seng1.example.com-1.0-1.noarch.rpm 

Katello improperly thinks the hyphens are the separators between the fields and ends up storing:

#<SystemTemplatePackage id: nil, system_template_id: 8, package_name: "candlepin-cert", version: "consumer", release: "seng1.example.com", epoch: nil, arch: nil>


bumping to 1.0.z since the bug is very difficult as an end user to understand why the promotion is failing.
Comment 4 Ivan Necas 2012-05-04 07:57:23 EDT
Fixed in commit 3359586c68ba55f7607b9db5f01577d4fca78acf
Comment 5 Garik Khachikyan 2012-05-30 09:24:48 EDT
qe-acked
Comment 8 Kedar Bidarkar 2012-09-20 07:23:57 EDT
Created attachment 614855 [details]
Candlepin rpm repo's template

Created a template which had 
a) custom RHEL distro from 'RHEL' provider 
b) custom candlepin repo from 'candlepin' Provider

Created changeset containing 

a) RHEL product, 
b)candlepin repo, and
c) the above system template. 

The promotion was successful.

The template downloaded from the Dev env is also attached, after promotion of changeset was successful.
Comment 10 errata-xmlrpc 2012-12-04 14:45:12 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html
Comment 11 Mike McCune 2013-08-16 14:07:57 EDT
getting rid of 6.0.0 version since that doesn't exist

Note You need to log in before you can comment on or make changes to this bug.